(function (Drupal, drupalSettings) {
  Drupal.behaviors.presspatron = {
    attach: function(context) {
      if (document.getElementById('js-pp-banner')) {
        return;
      }
      var el, fjs = document.getElementsByTagName('script')[0];
      var code = drupalSettings.presspatron.code,
        host = drupalSettings.presspatron.host;
      el = document.createElement('script');
      el.id = 'js-pp-banner';
      el.src = 'https://' + host + '/dev/banner?b=' + code;
      fjs.parentNode.insertBefore(el, fjs);
    }
  }
})(Drupal, drupalSettings);
